main, header, section, footer, aside, nav, article, figure /* varmistaa näiden toiminnan vanhemmissa selaimissa */
{
display: block;
} 

a:link { color: blue }
a:visited { color: black }
a:active { color: red }

body {
color: black;
background-color: #c0c0c0;
text-align:"center";
}

header {
width:auto;
height:auto;
max-width: 1200px;
min-width: 600px;
font-size: 100%;
text-align:left;
line-height: 160%;
margin-top: 0px;
margin-bottom: 4px;
margin-left:auto;
margin-right:auto;
padding-left: 0em;
padding-top: 0.5em;
padding-bottom: 0.5em;
color: black;
background-color: #d8d8d8;
}

header a:link, header a:visited {
text-decoration:none;
padding: 0.5em;
padding-left: 4px;
padding-right: 4px;
margin: 0px; 0px;
color: black;
border: 0px solid #a0a0a0;
}

header a:hover {
text-decoration: underline;
}

span {
text-align: right;
float: right;
font-size: 100%;
padding-left: 1em;
padding-right: 2px;
margin-top: 0em;
margin-bottom: 0em;
margin-left:2px;
margin-right:0;
color: #000000;
}

span a:link, span a:visited {
font-weight: bold;
color: white;
margin: 0px; 0px;
background-color:#888888;
border: 1px solid #a0a0a0;
}

span a:hover {
color: white;
background-color: green;
text-decoration: none;
}

.kuvasto_ei {
float: none;
line-height: 160%;
font-weight: bold;
padding-top: 0.5em;
padding-bottom: 0.5em;
padding-left: 4px;
padding-right: 4px;
margin: 0px;
color: #bbbbbb;
background-color:#888888;
border: 1px solid #a0a0a0;
}


h1 {
text-align: left;
font-size: 160%;
padding-left: 1em;
padding-top: 0.1em;
padding-bottom: 0.4em;
margin-top: 0em;
margin-bottom: 0em;
margin-left:auto;
margin-right:auto;
color: #ffffff;
background-color: #008800;
}

h2 {
text-align: left;
font-size: 100%;
margin: 0em;
padding: 4px;
color: #ffffff;
background-color: #008800;
}

h3 {
text-align: left;
font-size: 100%;
margin: 0.2em;
padding: 2px;
color: #666666;
}

h3 a {
font-size: 100%;
text-decoration:none;
line-height: 150%;
margin: 2px;
padding: 2px;
border: 0px solid #909090;
}

h3 a:link, h3 a:visited {
color: #006600;
}

h3 a:hover {
text-decoration:underline;
}

h4 {
text-align: left;
font-size: 100%;
margin-left: 0px;
margin-bottom: 4px;
margin-top: 8px;
color: #000000;
color: #004400;
}

h5 {
text-align: left;
font-size: 100%;
font-weight:normal;
margin-left: 8px;
margin-bottom: 0.2em;
margin-top: 0.2em;
color: #000000;
}

p {
margin: 0.4em;
margin-left: 1em;
margin-bottom: 0.5em;
 }

ol {
list-style-type: decimal;
list-style-position:inside;
padding: 0px;
padding-left: 1em;
padding-top: 0.5em;
margin: 0px;
}

ol li{
list-style-type: decimal;
padding:0px;
padding-left:0px;
margin:0px;
margin-bottom: 0.15em;
margin-top: 0.15em;
 }

.palsta {
display: block;
float:left;
width:48%;
min-width: 580px;
height:auto;
text-align:left;
margin:0px;
padding: 0px;
padding-left: 1em;
background-color:#ffffff;
border: 0px solid #909090;
border-left: 1px dotted #008800;
}

.rivi {
clear:left;
margin: 0px;
padding: 0px;
font-size: 4px;
}

ul {
list-style-type: circle;
list-style-position:inside;
padding: 0px;
margin: 0px;
margin-left: 1em;
}

ul li{
padding-left:1em;
 }

nav {
width:auto;
min-width: 580px;
clear:none;
line-height: 160%;
text-align: center;
font-size: auto;
margin-top: 1em;
margin-bottom: 1em;
margin-left:auto;
margin-right:auto;
}

nav a {
text-decoration:none;
background-color:#c0c0c0;
padding: 0.5em;
padding-left: 1.8em;
padding-right: 1.8em;
margin: 0.4em; 0.2em;
border: 1px solid #a0a0a0;
}

nav a:hover {
color: white;
background-color: green;
}

section {
width:auto;
height:auto;
max-width: 1200px;
min-width: 580px;
text-align:left;
margin-left:auto;
margin-right:auto;
margin-bottom: 1px;
margin-top: 0px;
padding-top: 0px;
padding-bottom:1em;
padding-left: 0px;
padding-right: 0px;
background-color:#ffffff;
border: 3px solid #008800;
}

article {
width:auto;
height:auto;
max-width: 1200px;
text-align:left;
margin-left:auto;
margin-right:auto;
margin-bottom: 1px;
margin-top: 8px;
padding-top: 0px;
padding-bottom:1em;
padding-left: 0px;
padding-right: 0px;
background-color: #d8d8d8;
border: 1px solid #888888;
}

footer {
width:600px;
clear:both;
font-size: smaller;
text-align:center;
margin-top: 2em;
margin-bottom: 1em;
margin-left:auto;
margin-right:auto;
}

@media screen and (max-width: 1200px) {

.palsta {
display: block;
float:none;
}

}

